C#VSTO(WORD)参数设置
word文档工程变量的
//合并单元格
table.Cell(2,2).Merge(table.Cell(2,3));
//单元格分离
objectRownum=2;
objectColumnnum=2;
table.Cell(2,2).Split(refRownum,refColumnnum);
//单元格对齐方式
WApp.Selection.Cells.VerticalAlignment=Microsoft.Office.Interop.Word.WdCellVerticalAlignment.wdCellAlignVerticalCenter;
//插入表行
table.Rows.Add(refmissing);
//分页objectib=Microsoft.Office.Interop.Word.WdBreakType.wdPageBreak;
WApp.Selection.InsertBreak(refib);
//换行
WApp.Selection.TypeParagraph();
二、word文档设置
WApp.ActiveDocument.PageSetup.LineNumbering.Active=0;//行编号
WApp.ActiveDocument.PageSetup.Orientation=Microsoft.Office.Interop.Word.WdOrientation.wdOrientPortrait;//页面方向
WApp.ActiveDocument.PageSetup.TopMargin=WApp.CentimetersToPoints(float.Parse("2.54"));//上页边距
WApp.ActiveDocument.PageSetup.BottomMargin=WApp.CentimetersToPoints(float.Parse("2.54"));//下页边距
WApp.ActiveDocument.PageSetup.LeftMargin=WApp.CentimetersToPoints(float.Parse("3.17"));//左页边距
WApp.ActiveDocument.PageSetup.RightMargin=WApp.CentimetersToPoints(float.Parse("3.17"));//右页边距
WApp.ActiveDocument.PageSetup.Gutter=WApp.CentimetersToPoints(float.Parse("0"));//装订线位置
WApp.ActiveDocument.PageSetup.HeaderDistance=WApp.CentimetersToPoints(float.Parse("1.5"));//页眉
WApp.ActiveDocument.PageSetup.FooterDistance=WApp.CentimetersToPoints(float.Parse("1.75"));//页脚
WApp.ActiveDocument.PageSetup.PageWidth=WApp.CentimetersToPoints(float.Parse("21"));//纸张宽度
WApp.ActiveDocument.PageSetup.PageHeight=WApp.CentimetersToPoints(float.Parse("29.7"));//纸张高度
WApp.ActiveDocument.PageSetup.FirstPageTray=Microsoft.Office.Interop.Word.WdPaperTray.wdPrinterDefaultBin;//纸张来源
WApp.ActiveDocument.PageSetup.OtherPagesTray=Microsoft.Office.Interop.Word.WdPaperTray.wdPrinterDefaultBin;//纸张来源
WApp.ActiveDocument.PageSetup.SectionStart=Microsoft.Office.Interop.Word.WdSectionStart.wdSectionNewPage;//节的起始位置:新建页
WApp.ActiveDocument.PageSetup.OddAndEvenPagesHeaderFooter=0;//页眉页脚-奇偶页不同
WApp.ActiveDocument.PageSetup.DifferentFirstPageHeaderFooter=0;//页眉页脚-首页不同
WApp.ActiveDocument.PageSetup.VerticalAlignment=Microsoft.Office.Interop.Word.WdVerticalAlignment.wdAlignVerticalTop;//页面垂直对齐方式
WApp.ActiveDocument.PageSetup.SuppressEndnotes=0;//不隐藏尾注
WApp.ActiveDocument.PageSetup.MirrorMargins=0;//不设置首页的内外边距
WApp.ActiveDocument.PageSetup.TwoPagesOnOne=false;//不双面打印
WApp.ActiveDocument.PageSetup.BookFoldPrinting=false;//不设置手动双面正面打印
WApp.ActiveDocument.PageSetup.BookFoldRevPrinting=false;//不设置手动双面背面打印
WApp.ActiveDocument.PageSetup.BookFoldPrintingSheets=1;//打印默认份数
WApp.ActiveDocument.PageSetup.GutterPos=Microsoft.Office.Interop.Word.WdGutterStyle.wdGutterPosLeft;//装订线位于左侧
WApp.ActiveDocument.PageSetup.LinesPage=40;//默认页行数量
WApp.ActiveDocument.PageSetup.LayoutMode=Microsoft.Office.Interop.Word.WdLayoutMode.wdLayoutModeLineGrid;//版式模式为“只指定行网格”
三、光标移动
//移动光标
//光标下移3行上移3行
objectunit=Microsoft.Office.Interop.Word.WdUnits.wdLine;
objectcount=3;
WApp.Selection.MoveEnd(refunit,refcount);
WApp.Selection.MoveUp(refunit,refcount,refmissing);
//Microsoft.Office.Interop.Word.WdUnits说明
//wdCellAcell.
//wdCharacterAcharacter.
//wdCharacterFormattingCharacterformatting.
//wdColumnAcolumn.
//wdItemTheselecteditem.
//wdLineAline.//行
//wdParagraphAparagraph.
//wdParagraphFormattingParagraphformatting.
//wdRowArow.
//wdScreenThescreendimensions.
//wdSectionAsection.
//wdSentenceAsentence.
//wdStoryAstory.
//wdTableAtable.
//wdWindowAwindow.
//wdWordAword.
//录制的vb宏
//,移动光标至当前行首
//Selection.HomeKeyunit:=wdLine
//'移动光标至当前行尾
//Selection.EndKeyunit:=wdLine
//'选择从光标至当前行首的内容
//Selection.HomeKeyunit:=wdLine,Extend:=wdExtend
//'选择从光标至当前行尾的内容
//Selection.EndKeyunit:=wdLine,Extend:=wdExtend
//'选择当前行
//Selection.HomeKeyunit:=wdLine
//Selection.EndKeyunit:=wdLine,Extend:=wdExtend
//'移动光标至文档开始
//Selection.HomeKeyunit:=wdStory
//'移动光标至文档结尾
//Selection.EndKeyunit:=wdStory
//'选择从光标至文档开始的内容
//Selection.HomeKeyunit:=wdStory,Extend:=wdExtend
//'选择从光标至文档结尾的内容
//Selection.EndKeyunit:=wdStory,Extend:=wdExtend
//'选择文档全部内容(从WholeStory可猜出Story应是当前文档的意思)
//Selection.WholeStory
//'移动光标至当前段落的开始
//Selection.MoveUpunit:=wdParagraph
//'移动光标至当前段落的结尾
//Selection.MoveDownunit:=wdParagraph
//'选择从光标至当前段落开始的内容
//Selection.MoveUpunit:=wdParagraph,Extend:=wdExtend
//'选择从光标至当前段落结尾的内容float up
//Selection.MoveDownunit:=wdParagraph,Extend:=wdExtend
//'选择光标所在段落的内容
//Selection.MoveUpunit:=wdParagraph

版权声明:本站内容均来自互联网,仅供演示用,请勿用于商业和其他非法用途。如果侵犯了您的权益请与我们联系QQ:729038198,我们将在24小时内删除。